## kedpm 0.5.0

=== Makefile ===
.PHONY: test
.PHONY: clean
.PHONY: install

test: 
	./run_tests

clean:
	-find -name \*.pyc | xargs rm -v
	./setup.py clean
	-rm -r build

install:
	./setup.py install

=== debian/changelog ===
kedpm (0.5.0-4+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2017-8296: fix information leak via command history file (Closes:
    #860817)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 26 Apr 2017 20:34:44 -0400

kedpm (0.5.0-4) unstable; urgency=low

  * install a .desktop file
  * patch: try the cli interface if we fail to load the GTK interface
    (Closes: #653291)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 05 Jan 2012 14:12:10 -0500

kedpm (0.5.0-3) unstable; urgency=low

  * split the package in a plaintext and gtk version
  * install the manpage

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 20 Dec 2011 18:07:10 -0500

kedpm (0.5.0-2) unstable; urgency=low

  * fix build-deps for dh-python2
  * change my maintainer email

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 08 Dec 2011 00:02:39 -0500

kedpm (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Upload to Debian unstable (Closes: #645220)
  * Improve the Debian package to conform to policy, too many changes to
    list here
  * New patch: DESTDIR support for Makefile

 -- Antoine Beaupré <anarcat@koumbit.org>  Wed, 20 Jul 2011 01:21:00 -0400

kedpm (0.4.0-1) UNRELEASED; urgency=low

  * New upstream release

 -- Antoine Beaupré <anarcat@koumbit.org>  Wed, 20 Jul 2011 01:20:33 -0400

kedpm (0.3.1-2) unstable; urgency=low

  * Making package architecture independant.

 -- Andrey Lebedev <andrey@micro.lt>  Wed, 29 Oct 2003 22:47:05 +0200

kedpm (0.3.1-1) unstable; urgency=low

  * Initial Release.
  * This is my first Debian package.

 -- Andrey Lebedev <andrey@micro.lt>  Mon, 27 Oct 2003 22:46:22 +0200

=== debian/control ===
Source: kedpm
Section: utils
Priority: extra
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 8.0.0), python, python-setuptools, python-crypto
Standards-Version: 3.9.2
Homepage: https://redmine.koumbit.net/projects/kedpm
Vcs-Git: git://git.koumbit.net/kedpm.git
Vcs-Browser: https://redmine.koumbit.net/projects/kedpm/repository

Package: kedpm
Architecture: all
Depends: python (>= 2.1), python-crypto, ${shlibs:Depends}, ${misc:Depends}
Description: KED Password Manager
 Ked Password Manager helps to manage large amounts of passwords and related
 information, and simplifies the tasks of searching and entering password data.
 .
 It is Figaro Password Manager compatible and can act as a near-complete
 replacement.
 .
 Ked Password Manager has a command line and gtk2 based user interfaces.

Package: kedpm-gtk
Architecture: all
Depends: kedpm (>= ${source:Version}), python-gtk2 (>= 1.99.14-1), python-glade2, ${shlibs:Depends}, ${misc:Depends}
Description: KED Password Manager
 Ked Password Manager helps to manage large amounts of passwords and related
 information, and simplifies the tasks of searching and entering password data.
 .
 It is Figaro Password Manager compatible and can act as a near-complete
 replacement.
 .
 Ked Password Manager has a command line and gtk2 based user interfaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

## we need to clean .pyc files after the autoclean, as dh_auto_clean runs setup.py, which builds stray .pyc files
override_dh_auto_clean:
	dh_auto_clean
	find -name \*.pyc | xargs rm -v

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications
	cp $(CURDIR)/debian/kedpm-gtk.desktop \
       $(CURDIR)/debian/tmp/usr/share/applications/kedpm-gtk.desktop
	rm $(CURDIR)/debian/tmp/usr/share/kedpm/COPYING \
       $(CURDIR)/debian/tmp/usr/share/kedpm/INSTALL

%:
	dh $@ --with python2

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
https://redmine.koumbit.net/projects/kedpm/files kedpm-(.*)\.tgz

## kedpm 1.0

=== debian/changelog ===
kedpm (1.0) unstable; urgency=low

  * New upstream release.
    - simplify export code, also export path
    - make kedpm behave if we're in a console
  * Switch to a native package since we are the upstream now.
  * Fix python dependencies (Closes: #662157)
  * Fix the build system to use python tools instead of hackish makefile

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 30 Nov 2012 14:48:24 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: kedpm
 Architecture: all
-Depends: python (>= 2.1), python-crypto, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, python-crypto, ${shlibs:Depends}, ${misc:Depends}
 Description: KED Password Manager
  Ked Password Manager helps to manage large amounts of passwords and related
  information, and simplifies the tasks of searching and entering password data.
@@ -22,7 +22,7 @@
 
 Package: kedpm-gtk
 Architecture: all
-Depends: kedpm (>= ${source:Version}), python-gtk2 (>= 1.99.14-1), python-glade2, ${shlibs:Depends}, ${misc:Depends}
+Depends: kedpm (>= ${source:Version}), ${python:Depends}, python-gtk2 (>= 1.99.14-1), python-glade2, ${shlibs:Depends}, ${misc:Depends}
 Description: KED Password Manager
  Ked Password Manager helps to manage large amounts of passwords and related
  information, and simplifies the tasks of searching and entering password data.

=== debian/rules ===
--- 
+++ 
@@ -17,17 +17,12 @@
 export DH_OPTIONS
 
 ## we need to clean .pyc files after the autoclean, as dh_auto_clean runs setup.py, which builds stray .pyc files
-override_dh_auto_clean:
-	dh_auto_clean
-	find -name \*.pyc | xargs rm -v
-
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/applications
 	cp $(CURDIR)/debian/kedpm-gtk.desktop \
        $(CURDIR)/debian/tmp/usr/share/applications/kedpm-gtk.desktop
-	rm $(CURDIR)/debian/tmp/usr/share/kedpm/COPYING \
-       $(CURDIR)/debian/tmp/usr/share/kedpm/INSTALL
+	rm $(CURDIR)/debian/tmp/usr/share/kedpm/INSTALL
 
 %:
 	dh $@ --with python2

## kedpm 1.0+deb8u1

=== debian/changelog ===
kedpm (1.0+deb8u1) jessie; urgency=high

  * CVE-2017-8296: fix information leak via command history file (Closes: #860817)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 26 Apr 2017 20:44:11 -0400
